Subject: Re: [PATCH 0/3] Revert "virtio_net: rx enable premapped mode by default"

From: Darren Kenny <[email-masked]>
Date: Wed, 11 Sep 2024 15:18:55 +0100

For the record, I got a chance to test these changes and confirmed that
they resolved the issue for me when applied on 6.11-rc7.

Tested-by: Darren Kenny <[email-masked]>

Thanks,

Darren.

PS - I'll try get to looking at the other potential fix when I have time.

On Tuesday, 2024-09-10 at 08:12:06 -04, Michael S. Tsirkin wrote:
> On Fri, Sep 06, 2024 at 08:31:34PM +0800, Xuan Zhuo wrote:
>> Regression: http://lore.kernel.org/all/[email-masked]
>> 
>> I still think that the patch can fix the problem, I hope Darren can re-test it
>> or give me more info.
>> 
>>     http://lore.kernel.org/all/[email-masked]
>> 
>> If that can not work or Darren can not reply in time, Michael you can try this
>> patch set.
>
> Just making sure netdev maintainers see this, this patch is for net.
>
>> Thanks.
>> 
>> Xuan Zhuo (3):
>>   Revert "virtio_net: rx remove premapped failover code"
>>   Revert "virtio_net: big mode skip the unmap check"
>>   virtio_net: disable premapped mode by default
>> 
>>  drivers/net/virtio_net.c | 95 +++++++++++++++++++---------------------
>>  1 file changed, 46 insertions(+), 49 deletions(-)
>> 
>> --
>> 2.32.0.3.g01195cf9f